Attio Real Time Events

List of Events Supported by Attio

Event IDSupportNotes
crm_accounts_newYes
crm_accounts_modifiedYes
crm_accounts_deletedYes
crm_contacts_newYes
crm_contacts_modifiedYes
crm_contacts_deletedYes
crm_deals_newYes
crm_deals_modifiedYes
crm_deals_deletedYes
crm_leads_newNo
crm_leads_modifiedNo
crm_leads_deletedNo
crm_engagements_newNo
crm_engagements_modifiedNo
crm_custom_objects_newNo
crm_custom_objects_modifiedNo

Subscribe to Attio Real Time Events

To subscribe to real time events in Attio, you can use the Subscribe to Real Time Events API. A cURL for the same would look like:

curl --location 'https://api.getknit.dev/v1.0/events.subscribe' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--data '{
    "events": [
        "crm_accounts_new",
        "crm_accounts_modified",
        "crm_accounts_deleted",
        "crm_contacts_new",
        "crm_contacts_modified",
        "crm_contacts_deleted",
        "crm_deals_new",
        "crm_deals_modified",
        "crm_deals_deleted"
    ]
}'

Knit will automatically register the webhooks in your Attio account so that you and your user do not have to perform any additional steps.